Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028401
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2014-12-12 12:322014-12-30 23:28
ReporterpsanjuanView Statuspublic 
Assigned Todmiguelez 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionbb20610819cd
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabaseOracleJava version1.6
OS VersionUbuntu 8.04.1Database version11.1.0.6.0Ant version1.7.0
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028401: [Costing] Initialized All Trx process needs to be changed

Description[Costing] Initialized All Trx process needs to be changed therefore instead of taking as transaction date the transaction process date, movement date is taken.
Steps To Reproducen/a
Proposed Solution[Costing] Initialized All Trx process needs to be changed therefore instead of taking as transaction date the transaction process date, movement date is taken.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0035209 scheduledcollazoandy4 Negative average cost after validating a costing rule in the past 
related to defect 0036534 closedcollazoandy4 Error in Costing Background Process if starting date of first costing rule is lower than movement date of existing transactions 

-  Notes
(0072648)
hgbot (developer)
2014-12-17 16:24

Repository: erp/devel/pi
Changeset: bb20610819cd9fd2cbeaf7afd3a3746ca06f667c
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Wed Dec 17 16:22:29 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bb20610819cd9fd2cbeaf7afd3a3746ca06f667c [^]

Fixes bug 28401:Initialized All Trx process not uses movement date.

Initialize Old Transaction process inside Validate Costing Rule process should filter by Movement Date of Transactions instead of Transaction Process Date

---
M src/org/openbravo/costing/CostingRuleProcess.java
---
(0072695)
aferraz (developer)
2014-12-18 13:21

Code review done
(0072702)
psanjuan (manager)
2014-12-18 16:26

Verified.
(0073235)
hudsonbot (developer)
2014-12-30 23:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-12-12 12:32 psanjuan New Issue
2014-12-12 12:32 psanjuan Assigned To => dmiguelez
2014-12-12 12:32 psanjuan Modules => Core
2014-12-12 12:32 psanjuan Triggers an Emergency Pack => No
2014-12-17 16:24 hgbot Checkin
2014-12-17 16:24 hgbot Note Added: 0072648
2014-12-17 16:24 hgbot Status new => resolved
2014-12-17 16:24 hgbot Resolution open => fixed
2014-12-17 16:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bb20610819cd9fd2cbeaf7afd3a3746ca06f667c [^]
2014-12-18 12:15 psanjuan Description Updated View Revisions
2014-12-18 12:15 psanjuan Proposed Solution updated
2014-12-18 13:21 aferraz Note Added: 0072695
2014-12-18 16:26 psanjuan Note Added: 0072702
2014-12-18 16:26 psanjuan Status resolved => closed
2014-12-30 23:28 hudsonbot Checkin
2014-12-30 23:28 hudsonbot Note Added: 0073235
2017-04-11 13:22 aferraz Relationship added related to 0035209
2017-07-31 13:14 aferraz Relationship added related to 0036534


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker